Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ServletRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ServletRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Describes a servlet.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getContextPath()` Provides the context path for this servlet.
`int` | `getExecutionTimeAverage()` Provides the average amount of time all invocations of the servlet have executed since created.
`int` | `getExecutionTimeHigh()` Provides the amount of time the single longest invocation of the servlet has executed since created.
`int` | `getExecutionTimeLow()` Provides the amount of time the single shortest invocation of the servlet has executed since created.
`int` | `getExecutionTimeTotal()` Provides the total amount of time all invocations of the servlet have executed since created.
`int` | `getInvocationTotalCount()` Provides a total count of the times this servlet has been invoked.
`int` | `getPoolMaxCapacity()` Provides the maximum capacity of this servlet for single thread model servlets.
`int` | `getReloadTotalCount()` Provides a total count of the number of times this servlet has been reloaded.
`String` | `getServletClassName()` Provides the servlet class name
`String` | `getServletName()` Provides the name of this instance of a servlet.
`String` | `getServletPath()` Provides the servlet path.
`String` | `getURL()` Provides the value of the URL for this servlet.
`String[]` | `getURLPatterns()` Provides a description of the URL patterns for this servlet.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getContextPath

    public String getContextPath()

  Provides the context path for this servlet.

  Returns:
    The contextPath value

### getExecutionTimeAverage

    public int getExecutionTimeAverage()

  Provides the average amount of time all invocations of the servlet have executed since created.

  Returns the average amount of time all invocations of the servlet have executed since created.

  Returns:
    The executionTimeAverage value

### getExecutionTimeHigh

    public int getExecutionTimeHigh()

  Provides the amount of time the single longest invocation of the servlet has executed since created.

  Returns the amount of time the single longest invocation of the servlet has executed since created.

  Returns:
    The executionTimeHigh value

### getExecutionTimeLow

    public int getExecutionTimeLow()

  Provides the amount of time the single shortest invocation of the servlet has executed since created. Note that for the CounterMonitor, the difference option must be used.

  Returns:
    The executionTimeLow value

### getExecutionTimeTotal

    public int getExecutionTimeTotal()

  Provides the total amount of time all invocations of the servlet have executed since created.

  Returns the amount of time all invocations of the servlet has executed since created.

  Returns:
    The executionTimeTotal value

### getInvocationTotalCount

    public int getInvocationTotalCount()

  Provides a total count of the times this servlet has been invoked.

  Returns:
    The invocationTotalCount value

### getPoolMaxCapacity

    public int getPoolMaxCapacity()

  Provides the maximum capacity of this servlet for single thread model servlets.

  Returns the maximum capacity of this servlet for single thread model servlets.

  Returns:
    The poolMaxCapacity value

### getReloadTotalCount

    public int getReloadTotalCount()

  Provides a total count of the number of times this servlet has been reloaded.

  Returns:
    The reloadTotalCount value

### getServletClassName

    public String getServletClassName()

  Provides the servlet class name

  Returns:
    The servlet class name

### getServletName

    public String getServletName()

  Provides the name of this instance of a servlet.

  Return the Servlet's name.

  Returns:
    The servletName value

### getServletPath

    public String getServletPath()

  Provides the servlet path.

  Provides the servlet path.

  Returns:
    The servletPath value

### getURL

    public String getURL()

  Provides the value of the URL for this servlet.

  Returns:
    The uRL value

### getURLPatterns

    public String[] getURLPatterns()

  Provides a description of the URL patterns for this servlet.

  Returns:
    url patterns for this servlet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD